#!/usr/bin/env bash

[[ ${CONFIG_LOADED:-} -eq 1 ]] && return

vendor_brewpixel_barista_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source "${vendor_brewpixel_barista_dir}/Burr/burr-dependencies.sh"
ensure_readlink_installed

if [[ "$OSTYPE" == "linux-gnu" ]]; then
	vendor_brewpixel_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(readlink -f $(dirname "${vendor_dir}"))
elif [[ "$OSTYPE" == "darwin"* ]]; then
	# Mac OSX
	vendor_brewpixel_dir=$(greadlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(greadlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(greadlink -f $(dirname "${vendor_dir}"))
else
    # Unknown.
	vendor_brewpixel_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(readlink -f $(dirname "${vendor_dir}"))
fi

if [ $child_theme ]; then
theme_name="${THEME_NAME} Child"
theme_name_lowercase_hyphen_no_spaces="${THEME_NAME_LOWERCASE_HYPHEN_NO_SPACES}-child"
else
theme_name=$THEME_NAME
theme_name_lowercase_hyphen_no_spaces=$THEME_NAME_LOWERCASE_HYPHEN_NO_SPACES
fi

set -a # automatically export all variables
source ${project_base}/.env
set +a

CONFIG_LOADED=1
